gnutls_x509_trust_list_add_system_trust(3)

NAME
gnutls_x509_trust_list_add_system_trust - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_add_system_trust(gnutls_x509_trust_list_t list, unsigned int tl_flags, unsigned int tl_vflags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The structure of the list

unsigned int tl_flags
    GNUTLS_TL_*

unsigned int tl_vflags
    gnutls_certificate_verify_flags if flags specifies GNUTLS_TL_VERIFY_CRL

DESCRIPTION
This function adds the system's default trusted certificate authorities to the trusted list. Note that on unsupported systems this function returns GNUTLS_E_UNIMPLEMENTED_FEATURE.

This function implies the flag GNUTLS_TL_NO_DUPLICATES.

RETURNS
The number of added elements or a negative error code on error.

SINCE
3.1

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/